Bug 1226984 - kcalc-15.04.0 should Require qt5-qtsvg.x86_64 or libQt5Svg.so.5
Summary: kcalc-15.04.0 should Require qt5-qtsvg.x86_64 or libQt5Svg.so.5
Status: CLOSED DUPLICATE of bug 1225749
Alias: None
Product: Fedora
Classification: Fedora
Component: kcalc
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL: https://fedoraproject.org/wiki/Common...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-01 15:14 UTC by Jérôme Fenal
Modified: 2015-06-29 11:54 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-01 15:58:21 UTC


Attachments (Terms of Use)

Description Jérôme Fenal 2015-06-01 15:14:26 UTC
Description of problem:

kcalc-15 seems to have a library dependancy on libQt5Svg.so, but is not Required in SPEC.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install kcalc with minimal KDE/Qt setup
2. Launch kcalc
3.

Actual results:
kcalc: error while loading shared libraries: libQt5Svg.so.5: cannot open shared object file: No such file or directory


Expected results:

kcalc running.

Additional info:
Installing qt5-qtsvg.x86_64 solves the issue:

dnf install qt5-qtsvg.x86_64 -y

Comment 1 Rex Dieter 2015-06-01 15:44:00 UTC
I'll look into it, this may be a bug in rpm, it's supposed to automatically add library dependencies like this.

Comment 2 Rex Dieter 2015-06-01 15:47:41 UTC
mind running this, and post the output?

$ rpm -q --whatprovides 'libQt5Svg.so.5()(64bit)'

Comment 3 Jérôme Fenal 2015-06-01 15:56:50 UTC
OK, third party software packaging sucks... :

$ rpm -q --whatprovides 'libQt5Svg.so.5()(64bit)'
viber-4.2.2.6-2.x86_64
qt5-qtsvg-5.4.1-2.fc22.x86_64


I guess I should nag Viber and not Fedora... :)

Let's close this request.

Comment 4 Rex Dieter 2015-06-01 15:58:21 UTC
OK, fyi, viber knows about the problem, see also:

https://plus.google.com/+RexDieter/posts/L8n6gEDGQpV

Comment 5 Rex Dieter 2015-06-29 11:54:28 UTC
See also,
https://fedoraproject.org/wiki/Common_F22_bugs#Some_third-party_application_rpms_bundle_Qt5_erroneously_.28hipchat.2C_viber.29

*** This bug has been marked as a duplicate of bug 1225749 ***


Note You need to log in before you can comment on or make changes to this bug.